Subject: bug#757: netboot installation fails at "Download installer components": "No kernel modules found"

From: Dennis Camera <[email-masked]>
Date: Sat, 6 May 2023 14:35:41 +0200

Package: debian-installer
Severity: grave

Dear maintainer,

Bug #681 is back.

When I try to install from
http://deb.devuan.org/devuan/dists/stable/main/installer-ppc64el/current/images/netboot/
I get this error message in the "Download installer components" step:

> No kernel modules found
>
> No kernel modules were found. This probably is due to a mismatch
> between the kernel used by this version of the installer and the
> kernel version available in the archive.
>
> You should make sure that your installation image is up-to-date, or -
> if that's the case - try a different mirror, preferably
> deb.devuan.org.

The log reports:
> May  6 12:27:13 anna[2345]: WARNING **: no packages matching running
> kernel 5.10.0-18-powerpc64le in archive

In case it matters, I selected deb.devuan.org from the archive mirror
list.

Thank you for your time.

Kind regards,
Dennis